Page MenuHomePhabricator

CSD: Log to user page when nominating
Closed, ResolvedPublicFeature

Description

Currently, when using Huggle to tag a page for speedy deletion, there is no easy way to log the action. I'd like to request that an entry be added to userspace logs, in a manner similar to Twinkle's logging.

Event Timeline

Restricted Application added a project: User-DannyS712. · View Herald TranscriptJun 9 2019, 10:27 PM
DannyS712 changed the subtype of this task from "Task" to "Feature Request".Jun 9 2019, 10:27 PM
Petrb closed this task as Resolved.Jun 16 2019, 7:34 PM
Petrb claimed this task.
Petrb added a subscriber: Petrb.

There is - this was requested long time ago and JS extension was written for that purpose see https://www.mediawiki.org/wiki/Huggle/JS

Script: https://www.mediawiki.org/wiki/Huggle/JS/deletion_log.js

Instructions how to install are in first link

@Petrb I started using this (https://en.wikipedia.org/wiki/User:DannyS712/log-speedy) and there should be an extra newline before each entry. Specifically,
huggle_editing.append_text(log, "* Speedy of [[" + edit["Page"]["PageName"] + "]] tags: <nowiki>" + tags + "</nowiki> ~~~~", "Logging speedy deletion");
should be
huggle_editing.append_text(log, "\n* Speedy of [[" + edit["Page"]["PageName"] + "]] tags: <nowiki>" + tags + "</nowiki> ~~~~", "Logging speedy deletion");
To add a new line. Is the source code at https://www.mediawiki.org/wiki/Huggle/JS/deletion_log.js a mirror of the actual code, or where should this be fixed?

Petrb added a comment.Nov 25 2019, 3:57 PM

Yes, that's where the code is and that's where you should fix it!

Yes, that's where the code is and that's where you should fix it!

Is it loaded from there each time?